Package/applications duplicate

Hello,
I try to install application from WebInterface but when try that and installing others.
what happen is that there is duplicate packges of applications
the case:
maybe one of them
1- try to install from :980 and :9090 some that was two of applications of the same name.
2- use yum update by terminal.
I get
# yum check
Loaded plugins: changelog, fastestmirror, nethserver_events

libgudev1-219-67.el7_7.2.x86_64 is a duplicate with libgudev1-219-67.el7.x86_64
libsmbclient-4.9.1-10.el7_7.x86_64 is a duplicate with libsmbclient-4.9.1-6.el7.x86_64
libwbclient-4.9.1-10.el7_7.x86_64 is a duplicate with libwbclient-4.9.1-6.el7.x86_64
nethserver-firewall-base-3.8.1-1.ns7.noarch is a duplicate with nethserver-firewall-base-3.7.0-1.ns7.noarch
nethserver-httpd-3.7.3-1.ns7.noarch is a duplicate with nethserver-httpd-3.6.0-1.ns7.noarch
nethserver-mail-smarthost-2.10.0-1.ns7.noarch is a duplicate with nethserver-mail-smarthost-2.8.1-1.ns7.noarch
php-5.4.16-46.1.el7_7.x86_64 is a duplicate with php-5.4.16-46.el7.x86_64
php-cli-5.4.16-46.1.el7_7.x86_64 is a duplicate with php-cli-5.4.16-46.el7.x86_64
php-common-5.4.16-46.1.el7_7.x86_64 is a duplicate with php-common-5.4.16-46.el7.x86_64
php-intl-5.4.16-46.1.el7_7.x86_64 is a duplicate with php-intl-5.4.16-46.el7.x86_64
php-xml-5.4.16-46.1.el7_7.x86_64 is a duplicate with php-xml-5.4.16-46.el7.x86_64
samba-client-libs-4.9.1-10.el7_7.x86_64 is a duplicate with samba-client-libs-4.9.1-6.el7.x86_64
samba-common-4.9.1-10.el7_7.noarch is a duplicate with samba-common-4.9.1-6.el7.noarch
samba-common-libs-4.9.1-10.el7_7.x86_64 is a duplicate with samba-common-libs-4.9.1-6.el7.x86_64
samba-common-tools-4.9.1-10.el7_7.x86_64 is a duplicate with samba-common-tools-4.9.1-6.el7.x86_64
samba-libs-4.9.1-10.el7_7.x86_64 is a duplicate with samba-libs-4.9.1-6.el7.x86_64
systemd-219-67.el7_7.2.x86_64 is a duplicate with systemd-219-67.el7.x86_64
systemd-libs-219-67.el7_7.2.x86_64 is a duplicate with systemd-libs-219-67.el7.x86_64
systemd-sysv-219-67.el7_7.2.x86_64 is a duplicate with systemd-sysv-219-67.el7.x86_64
Error: check all

# cat /etc/os-release
# ================= DO NOT MODIFY THIS FILE =================
#
# Manual changes will be lost when this file is regenerated.
#
# Please read the developer’s guide, which is available
# at NethServer official site: https://www.nethserver.org
#
#
NAME=“NethServer”
VERSION=“7.7.1908”
VERSION_ID=“7”
PRETTY_NAME=“NethServer 7.7.1908”
ID=“nethserver”
HOME_URL=“http://www.nethserver.org

ID_LIKE="rhel fedora centos"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:7"
BUG_REPORT_URL="https://community.nethserver.org/"

CENTOS_MANTISBT_PROJECT="CentOS-7"
CENTOS_MANTISBT_PROJECT_VERSION="7"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="7"

cat /etc/nethserver-release
NethServer release 7.7.1908 (final)
Best Regards

Could it be there was an interrupted yum installation process maybe by connection loss or reboot?

You may try to sync to the latest packages:

this command work for me
package-cleanup --cleandupes
as


thanks

1 Like